//@import url("http://fonts.googleapis.com/css?family=Lato:900");

//// Variables / mixins

$font-color: #221f20;
$blue-light: #5bbeef;
$yellow: #fc0;

@mixin sansserif {
    font: {
        family: "Lato", sans-serif;
        weight: bold;
    }
}

.step-button,
.action-button {
    @include button;
    @include sansserif;
    color: $font-color;
    border: 0;
    border-radius: 2px;
    text-transform: uppercase;
    font-size: emCalc(18);
    text-align: left;
    padding: emCalc(10);
    &.small {
        font-size: .8em;
    }
    &:after {
        content: " »";
    }
}

.step-button {
    background-color: $blue-light;
}

.action-button {
    background-color: $yellow;
}

.clearfix {
  &:after {
    content: "";
    display: table;
    clear: both;
  }
}

//// Styles

html {
    // IE hack
    text-align: center;
    background: #f0f0f0;
}
body {
    color: $font-color;
    max-width: 960px;
    background: transparent;
    margin: auto;
    font: {
        family: Georgia, Serif;
    }
    // end html{} IE hack
    text-align: left;
}

header {
    padding: emCalc(40) 0 emCalc(10) 0;
    nav {
        text-align: right;
        padding-right: 0 !important; // override .columns padding-right
    }
    .action-button, .step-button {
        text-align: right;
    }

    .languages {
        margin: -25px 0 5px 0;
        a {
            background: none none no-repeat;
            margin-left: 10px;
            span {
                display: none;
            }
        }
    }
}
#authentication-nav > a {
    display: block;
}
#authentication-nav > a:first-child {
    margin-bottom: emCalc(5);
}

#switch_account {
    margin-top: emCalc(10);
}

#container:not(.asided) { // .asided container has content and <aside>
    padding: emCalc(10);
    background: #fff;
}

h1, h2 {
    @include sansserif;
}
h1 {
    font-size: emCalc(30);
}
h2 {
    font-size: emCalc(22);
}
h3 {
    font-size: emCalc(18);
}
h4 {
    font-size: emCalc(14);
}

ul {
    list-style: none;
}
li {
    list-style-position: inside;
}

footer {
    clear: both;
    margin-top: emCalc(30);
    &> nav {
        margin-left: emCalc(175);
        a {
            display: inline-block;
            margin: 0 20px;
            &:first-child {
                margin-left: 0;
            }
        }
    }

    &> div {
        &> img {
            vertical-align: top;
        }
        &:first-of-type:after {
            content: " /";
            color: $blue-light;
            font: {
                size: emCalc(45);
                style: italic;
            }
        }
    }
    &> p {
        margin: emCalc(10) 0 0 0;
        color: #666;
        font: {
            size: .8em;
            family: Helvetica, sans-serif;
        }
    }
}

#user-messages li {
    @include alert;
    &.success {
        background-color: rgb(93, 164, 35);
        border-color: rgb(69, 122, 26);
    }
    &.error {
        background-color: rgb(198, 15, 19);
        border-color: rgb(151, 11, 14);
    }
}

.clear {
    @include clearfix;
}


//// assided layout

#content {
    padding: emCalc(10);
    background: #fff;
}

#container > aside > article {
    background-color: #fff;
    padding: emCalc(10);
    margin-bottom: emCalc(15);
}
